﻿using Syncfusion.ExcelChartToImageConverter;
using Syncfusion.ExcelToPdfConverter;
using Syncfusion.Pdf;
using Syncfusion.XlsIO;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace Aspnet_PDF
{
    public partial class _Default : Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            string rootFolder = HttpRuntime.AppDomainAppPath;
            string inputExcelPath = rootFolder + "\\Data\\Test.xlsx";
            string outputPdfPath = rootFolder + "\\Data\\Output.pdf";

            using (ExcelEngine excelEngine = new ExcelEngine())
            {
                IApplication application = excelEngine.Excel;
                application.DefaultVersion = ExcelVersion.Excel2013;
                //Instantiating the ChartToImageConverter and assigning the ChartToImageConverter instance of XlsIO application
                application.ChartToImageConverter = new ChartToImageConverter();
                //Tuning chart image quality
                application.ChartToImageConverter.ScalingMode = ScalingMode.Best;

                IWorkbook workbook = application.Workbooks.Open(inputExcelPath, ExcelOpenType.Automatic);

                //Open the Excel document to Convert
                ExcelToPdfConverter converter = new ExcelToPdfConverter(workbook);

                //Initialize PDF document
                PdfDocument pdfDocument = new PdfDocument();
                //PdfFont pdnt = new PdfCjkStandardFont(PdfCjkFontFamily.HeiseiMinchoW3, 20);
                ExcelToPdfConverterSettings e2pdfCS = new ExcelToPdfConverterSettings();
                e2pdfCS.LayoutOptions = LayoutOptions.FitAllColumnsOnOnePage;
                e2pdfCS.EmbedFonts = true;

                //Fit sheet on one page
                //e2pdfCS.LayoutOptions = LayoutOptions.FitSheetOnOnePage;

                //Convert Excel document into PDF document
                pdfDocument = converter.Convert(e2pdfCS);

                //pdfFilePath = Utility.AppSetting.UploadWorkDir + Path.GetFileNameWithoutExtension(fileName) + ".pdf";
                //Save the PDF file
                pdfDocument.Save(outputPdfPath);
                //System.Diagnostics.Process.Start(outputPdfPath);

                pdfDocument.Close(true);
                converter.Dispose();
                workbook.Close();
                //System.IO.File.Delete(fileName);
            }
        }
    }
}